MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024532Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-01-15 11:542014-05-05 13:39
Reporterjgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024532: BRepOffsetAPI_MakePipeShell raises an exception in a case with auxiliary guide
DescriptionThe exception raises in BRepFill_CompatibleWires functionality.
Steps To Reproducepolyline w1 -4 -3 0 4 -3 0 4 3 0 -4 3 0 -4 -3 0
polyline w2 4 3 80 -4 3 80 -4 -3 80 4 -3 80 4 3 80
polyline sp 0 0 0 0 0 80
fit
cylinder cc 0 0 0 0 0 1 -4 -3 0 5
line ll 0 0 pi 80
trim ll ll 0 sqrt(pi*pi+80*80)
explode w1 v
explode w2 v
mkedge ee ll cc w1_1 w2_1
wire gg ee
donly w1 w2 sp gg
mksweep sp
setsweep -G gg 0 0
addsweep w1
buildsweep r -S
Additional information
and documentation updates
BRepFill_CompatibleWires, modified method

static Standard_Boolean PlaneOfWire (const TopoDS_Wire& W, gp_Pln& P)

the code became safe for the case of possible null curve.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24532
Attached Files

- Relationships
parent of 0024538closedabv BRepFill_CompatibleWires.cxx, implementation of function PlaneOfWire() is suboptimal 

-  Notes
(0027491)
jgv (developer)
2014-01-15 12:23

Please review the branch CR24532.
(0027493)
abv (manager)
2014-01-15 12:44

No remarks, please test
(0027514)
mkv (tester)
2014-01-16 11:03

Dear BugMaster,

Branch CR24532 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f3207edef28b78934734ce21955bc610531796e7

Number of compiler warnings:

occt component :
Linux: 54 (55 on master)
Windows: 1 (1 on master)

products component :
Linux: 20 (20 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24532-master-occt/Debian60-64/bugs/modalg_5/bug24532.html [^]
http://occt-tests/CR24532-master-occt/Windows-32-VC9/bugs/modalg_5/bug24532.html [^]
bugs modalg_5(010) bug24532: OK

Testing on Linux:
Total MEMORY difference: 358358752 / 357072716
Total CPU difference: 44890.2800000001 / 42990.47999999986

Testing on Windows:
Total MEMORY difference: 413088248 / 412488216
Total CPU difference: 29710.46875 / 32601.78125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 561ea68e
Timestamp: 2014-01-16 10:03:22
Author: jgv
Committer: bugmaster
Details ] Diff ]
0024532: BRepOffsetAPI_MakePipeShell raises an exception in a case with auxiliary guide

Test case for issue CR24532
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24532 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-15 11:54 jgv New Issue
2014-01-15 11:54 jgv Assigned To => ifv
2014-01-15 11:54 jgv Assigned To ifv => jgv
2014-01-15 12:23 jgv Note Added: 0027491
2014-01-15 12:23 jgv Status new => resolved
2014-01-15 12:23 jgv Assigned To jgv => abv
2014-01-15 12:44 abv Note Added: 0027493
2014-01-15 12:44 abv Assigned To abv => bugmaster
2014-01-15 12:44 abv Status resolved => reviewed
2014-01-15 12:45 mkv Assigned To bugmaster => mkv
2014-01-15 12:47 abv Product Version => 6.7.0
2014-01-15 12:47 abv Target Version => 6.7.1
2014-01-16 11:03 mkv Note Added: 0027514
2014-01-16 11:04 mkv Test case number => bugs modalg_5(010) bug24532
2014-01-16 11:04 mkv Assigned To mkv => bugmaster
2014-01-16 11:04 mkv Status reviewed => tested
2014-01-16 14:14 abv Relationship added parent of 0024538
2014-01-21 11:22 bugmaster Changeset attached => occt master 561ea68e
2014-01-21 11:22 bugmaster Status tested => verified
2014-01-21 11:22 bugmaster Resolution open => fixed
2014-04-09 16:39 jgv Additional Information Updated View Revisions
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker